/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zk.ui.event.Event;
import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Button;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Categoria;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;

/**
 *
 * @author Administrador
 */
public class RenderCategoriaSimple implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Categoria categoria = (Categoria) o;

        Listcell lc = new Listcell();
        
        lc = new Listcell(categoria.getCategoriaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(categoria.getDesccategoria());
        lc.setParent(lstm);
        
        Button btn = new Button(); 
        
        lc = new Listcell();
        lc.setParent(lstm);
 
        btn.setWidth("16");
        btn.setHeight("16");
        btn.setImage("/gui/img/remove.png");
        
        btn.addEventListener("onClick", new EventListener() {
			@Override
			public void onEvent(Event event) throws Exception {
				MyListbox listBox = (MyListbox)event.getTarget().getParent().getParent().getParent();
				Listitem listItem = (Listitem)event.getTarget().getParent().getParent();
				listBox.removeItem((Categoria) listItem.getAttribute("data"));
			}
		});

        
        lc.appendChild(btn);
        lstm.setAttribute("data", categoria);
    }
}
